require("playerMovement")
require("collisionDetection")


function fireBullet(direction)
 table.insert(bulletTable,playerX)
 table.insert(bulletTable,playerY)
 table.insert(bulletTable,direction)
 table.insert(bulletsCollider,Collider:addCircle(playerX,playerY,bulletRadius))
end

function removeBullet(i)
table.remove(bulletTable,i-2)
table.remove(bulletTable,i-2)
table.remove(bulletTable,i-2)
table.remove(bulletsCollider,i)
end

function updateBulletPositions(dt)
   -- Update bullet positions , X = i-2, Y=i-1 , direction = up/down/left/right
   for i=3,#bulletTable,3 do
		if bulletTable[i] == 'up' then
			bulletTable[i-1] = bulletTable[i-1] - bulletSpeed * dt
			bulletsCollider[i]:move(0,-bulletspeed*dt)
			if bulletTable[i-1] < 0 then
				removeBullet(i)
			end
		end
		if bulletTable[i] == 'down' then
			bulletTable[i-1] = bulletTable[i-1] + bulletSpeed * dt
			bulletsCollider[i]:move(0,bulletspeed*dt)
			if bulletTable[i-2] > 600 then
				removeBullet(i)
			end
		end
		if bulletTable[i] == 'left' then
			bulletTable[i-2] = bulletTable[i-2] - bulletSpeed * dt
			bulletsCollider[i]:move(-bulletspeed*dt,0)
			if bulletTable[i-1] < 0 then
				removeBullet(i)
			end
		end
		if bulletTable[i] == 'right' then
			bulletTable[i-2] = bulletTable[i-2] + bulletSpeed * dt
			bulletsCollider[i]:move(bulletspeed*dt,0)
			if bulletTable[i-1] > 800 then
				removeBullet(i)
			end
		end
	end
end



function love.update(dt)


playerMovement(dt)
updateBulletPositions(dt)
Collider:update(dt)
   
end